Cannot add poetry interpreter

  • OS: win10
  • Pycharm version: professional 2022.1.1
  • Poetry version: 1.1.13
  • Poetry plugin version: latest

I have tried to build a new PyCharm project by poetry environment,
while setting up it showed
and cannot setup the interpreter. Have anyone got the similar problem before and know how to solve this error? Any suggestion will be very appreciated

1 comment
Comment actions Permalink

Hello, 

 

The path to the poetry executable does not seem correct. It should refer to the .bat file, please see my example: 

Have you followed the installation recommendations from https://www.jetbrains.com/help/pycharm/poetry.html#install-poetry

0

Please sign in to leave a comment.